# Gimp.edit_paste_as_new_image

    @returns(Gimp.Image)
    def edit_paste_as_new_image():
        # Python wrapper for gimp_edit_paste_as_new_image()

Paste buffer to a new image.

This procedure pastes a copy of the internal GIMP edit buffer to a new image. The GIMP edit buffer will be empty unless a call was previously made to either Gimp.edit_cut or Gimp.edit_copy. This procedure returns the new image or -1 if the edit buffer was empty.

Since 2.10

Returns